Package com.independentsoft.office.odf.styles

# Enum Class WritingMode

java.lang.Object
java.lang.Enum<WritingMode>
com.independentsoft.office.odf.styles.WritingMode

All Implemented Interfaces:
  `Serializable`, `Comparable<WritingMode>`, `Constable`

public enum WritingMode extends Enum<WritingMode>
Represents a writing mode for an element.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LEFT_RIGHT`
  LeftRight.
  `LEFT_RIGHT_TOP_BOTTOM`
  LeftRight-TopBottom.
  `NONE`
  None.
  `PAGE`
  Page.
  `RIGHT_LEFT`
  RightLeft.
  `RIGHT_LEFT_TOP_BOTTOM`
  RightLeft-TopBottom.
  `TOP_BOTTOM`
  TopBottom.
  `TOP_BOTTOM_LEFT_RIGHT`
  TopBottom-LeftRight.
  `TOP_BOTTOM_RIGHT_LEFT`
  TopBottom-RightLeft.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WritingMode`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static WritingMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT_RIGHT_TOP_BOTTOM

    public static final WritingMode LEFT_RIGHT_TOP_BOTTOM
    LeftRight-TopBottom.

  - ### RIGHT_LEFT_TOP_BOTTOM

    public static final WritingMode RIGHT_LEFT_TOP_BOTTOM
    RightLeft-TopBottom.

  - ### TOP_BOTTOM_RIGHT_LEFT

    public static final WritingMode TOP_BOTTOM_RIGHT_LEFT
    TopBottom-RightLeft.

  - ### TOP_BOTTOM_LEFT_RIGHT

    public static final WritingMode TOP_BOTTOM_LEFT_RIGHT
    TopBottom-LeftRight.

  - ### LEFT_RIGHT

    public static final WritingMode LEFT_RIGHT
    LeftRight.

  - ### RIGHT_LEFT

    public static final WritingMode RIGHT_LEFT
    RightLeft.

  - ### TOP_BOTTOM

    public static final WritingMode TOP_BOTTOM
    TopBottom.

  - ### PAGE

    public static final WritingMode PAGE
    Page.

  - ### NONE

    public static final WritingMode NONE
    None.

- ## Method Details

  - ### values

    public static WritingMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WritingMode valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null